RESTinio

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
restinio::connection_state_listener_holder_t< Listener > Struct Template Reference

A special class for holding actual connection state listener. More...

`#include <settings.hpp>`

## Public Member Functions
void | check_valid_connection_state_listener_pointer () const
| Checks that pointer to state listener is not null. More...

## Public Attributes
std::shared_ptr< Listener > | m_connection_state_listener

## Static Public Attributes
static constexpr bool | has_actual_connection_state_listener = true

## Detailed Description

template<typename Listener>
struct restinio::connection_state_listener_holder_t< Listener >

A special class for holding actual connection state listener.

This class holds shared pointer to actual connection state listener and provides an actual implementation of check_valid_connection_state_listener_pointer() method.

Since
  v.0.5.1

Definition at line 323 of file settings.hpp.

## Member Function Documentation

## ◆ check_valid_connection_state_listener_pointer()

template<typename Listener >

void restinio::connection_state_listener_holder_t< Listener >::check_valid_connection_state_listener_pointer | ( |  | ) | const
| inline

Checks that pointer to state listener is not null.

Throws an exception if m_connection_state_listener is nullptr.

Definition at line 334 of file settings.hpp.

## Member Data Documentation

## ◆ has_actual_connection_state_listener

template<typename Listener >

constexpr bool restinio::connection_state_listener_holder_t< Listener >::has_actual_connection_state_listener = true
| static constexpr

Definition at line 327 of file settings.hpp.

## ◆ m_connection_state_listener

template<typename Listener >

std::shared_ptr< Listener > restinio::connection_state_listener_holder_t< Listener >::m_connection_state_listener

Definition at line 325 of file settings.hpp.

The documentation for this struct was generated from the following file:

- restinio/settings.hpp